> ## Documentation Index
> Fetch the complete documentation index at: https://developer.quicko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# User Details

> API to get the details of the user



## OpenAPI

````yaml /projects/connect/openapi.json GET /entitlements/user
openapi: 3.0.0
info:
  title: open-api
  version: 1.0.0
  description: ''
servers:
  - url: https://api.quicko.com
security: []
paths:
  /entitlements/user:
    parameters: []
    get:
      summary: User Details
      parameters:
        - name: Authorization
          in: header
          required: false
          description: Resource Owner's Access Token
          example: >-
            eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJpbnRlbnQiOiJBQ0NFU1NfVE9LRU4iLCJhcGlfa2V5Ijoia2V5X2xpdmVfYTU4ZGVjMGE0NDZmNDZlNmJmZTI2NzcyZTVkYTFkMjIiLCJlbWFpbCI6Im5hY2hpa2V0YS52YWRlcmFAcXVpY2tvLmNvbSIsImlhdCI6MTcyMTM4ODAwMCwiZXhwIjoxNzIxNDc0NDAwLCJhdWQiOiJBUEkiLCJpc3MiOiJvYXV0aC5xdWlja28uY29tIiwic3ViIjoiQzQ1NjIxOTk1OEVCNzhENkUwNTMwMTAwMDA3RjFGQUQifQ.Sj30ArJrlzNnxAYjb1mNhS1yiw5oUZl1w9UmnoPd4x5VwKZRLtlfx8kc6Cf3fNr-ow98DXMl7NByeYcym-QeKQ
          schema:
            type: string
        - name: x-api-key
          in: header
          required: false
          description: API User Key
          example: '{{api_key}}'
          schema:
            type: string
      responses:
        default:
          headers:
            Content-Type:
              schema:
                type: string
              example: application/json
          description: 200 OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  transaction_id:
                    type: string
                  timestamp:
                    type: integer
                  data:
                    type: object
                    properties:
                      '@entity':
                        type: string
                      id:
                        type: string
                      email:
                        type: string
                        format: email
                      created_at:
                        type: integer
                      first_name:
                        type: string
                      last_name:
                        type: string
                      mobile:
                        type: object
                        properties:
                          '@entity':
                            type: string
                          number:
                            type: string
                            format: utc-millisec
                          isd_code:
                            type: string
                            format: utc-millisec
                      status:
                        type: string
              example:
                transaction_id: feb3fa38-bcd7-4413-a201-56145b1d1661
                timestamp: 1763117019162
                data:
                  '@entity': com.quicko.account.user.user_details
                  email: john.doe@mail.com
                  credential_status: inactive
                  id: 239A89834AXXXXXX00007F8DCD
                  updated_at: 1731218159000
                  first_name: John
                  last_name: Doe
                code: 200

````